package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 广告对象 b_poster
 *
 * @author ruoyi
 * @date 2023-11-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BPoster extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 广告名称
     */
    @Excel(name = "广告名称")
    private String posterName;

    /**
     * 有效起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效起始时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 有效结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效结束时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 视频封面
     */
    @Excel(name = "视频封面")
    private String videoLogo;

    /**
     * 视频路径
     */
    @Excel(name = "视频路径")
    private String videoPath;

    /**
     * 广告关联的商户id
     */
    private List<Long> shanghuIdList;

}
