package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 广告历史对象 b_poster_history
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public class BPosterHistory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商户id
     */
    private Long shanghuId;

    /**
     * 广告id
     */
    @Excel(name = "广告id")
    private Long posterId;

    /**
     * 广告名称
     */
    @Excel(name = "广告名称")
    private String posterName;

    /**
     * 有效起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 有效结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 视频路径
     */
    @Excel(name = "视频路径")
    private String videoPath;

    /**
     * 视频封面
     */
    @Excel(name = "视频封面")
    private String videoLogo;

    public BPosterHistory() {
    }

    public BPosterHistory(Long id, Long shanghuId, Long posterId, String posterName, Date startTime, Date endTime, String videoPath, String videoLogo) {
        this.id = id;
        this.shanghuId = shanghuId;
        this.posterId = posterId;
        this.posterName = posterName;
        this.startTime = startTime;
        this.endTime = endTime;
        this.videoPath = videoPath;
        this.videoLogo = videoLogo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPosterId() {
        return posterId;
    }

    public void setPosterId(Long posterId) {
        this.posterId = posterId;
    }

    public String getPosterName() {
        return posterName;
    }

    public void setPosterName(String posterName) {
        this.posterName = posterName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }

    public String getVideoLogo() {
        return videoLogo;
    }

    public void setVideoLogo(String videoLogo) {
        this.videoLogo = videoLogo;
    }

    @Override
    public String toString() {
        return "BPosterHistory{" + "id=" + id + ", shanghuId=" + shanghuId + ", posterId=" + posterId + ", posterName='" + posterName + '\'' + ", startTime=" + startTime + ", endTime=" + endTime + ", videoPath='" + videoPath + '\'' + ", videoLogo='" + videoLogo + '\'' + '}';
    }

    public Long getShanghuId() {
        return shanghuId;
    }

    public void setShanghuId(Long shanghuId) {
        this.shanghuId = shanghuId;
    }
}
