package com.ruoyi.system.domain.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 广告批量分配商户请求类
 *
 * @author wu
 * @since 2023/11/24 9:36
 */
@Data
@ApiModel("广告批量分配商户请求类")
public class PosterRequest implements Serializable {
    private static final long serialVersionUID = -2550281756138991362L;

    /**
     * 广告id
     */
    @ApiModelProperty(value = "广告id")
    @NotNull(message = "广告不能为空")
    private Long posterId;

    /**
     * 商户id集合
     */
    @ApiModelProperty(value = "商户id集合")
    private List<Long> shanghuIds;

    /**
     * 商户城市
     */
    @ApiModelProperty(value = "商户城市")
    private String shanghuCity;

    /**
     * 商户名称
     */
    @ApiModelProperty(value = "商户名称")
    private String shanghuName;
}
