package com.ruoyi.system.domain.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 微信获取签名请求类
 *
 * @Author: wu
 * @DateTime: 2023/4/25 10:37
 */
@Data
@ApiModel("微信获取签名请求类")
public class WeChatRequest implements Serializable {
    private static final long serialVersionUID = 8932390218136420099L;

    /**
     * 随机字符串
     */
    @ApiModelProperty(value = "随机字符串", required = true)
    @NotBlank(message = "字符串不能为空")
    private String noncestr;

    /**
     * 时间戳
     */
    @ApiModelProperty(value = "时间戳", required = true)
    @NotBlank(message = "时间戳不能为空")
    private String timestamp;

    /**
     * 当前网页的URL
     */
    @ApiModelProperty(value = "当前网页的URL", required = true)
    @NotBlank(message = "当前网页的URL不能为空")
    private String url;
}
