package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BNetHistory;

/**
 * 连网历史Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public interface BNetHistoryMapper 
{
    /**
     * 查询连网历史
     * 
     * @param id 连网历史主键
     * @return 连网历史
     */
    public BNetHistory selectBNetHistoryById(Long id);

    /**
     * 查询连网历史列表
     * 
     * @param bNetHistory 连网历史
     * @return 连网历史集合
     */
    public List<BNetHistory> selectBNetHistoryList(BNetHistory bNetHistory);

    /**
     * 新增连网历史
     * 
     * @param bNetHistory 连网历史
     * @return 结果
     */
    public int insertBNetHistory(BNetHistory bNetHistory);

    /**
     * 修改连网历史
     * 
     * @param bNetHistory 连网历史
     * @return 结果
     */
    public int updateBNetHistory(BNetHistory bNetHistory);

    /**
     * 删除连网历史
     * 
     * @param id 连网历史主键
     * @return 结果
     */
    public int deleteBNetHistoryById(Long id);

    /**
     * 批量删除连网历史
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBNetHistoryByIds(Long[] ids);
}
