package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BPosterHistory;

/**
 * 广告历史Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public interface BPosterHistoryMapper 
{
    /**
     * 查询广告历史
     * 
     * @param id 广告历史主键
     * @return 广告历史
     */
    public BPosterHistory selectBPosterHistoryById(Long id);

    /**
     * 查询广告历史列表
     * 
     * @param bPosterHistory 广告历史
     * @return 广告历史集合
     */
    public List<BPosterHistory> selectBPosterHistoryList(BPosterHistory bPosterHistory);

    /**
     * 新增广告历史
     * 
     * @param bPosterHistory 广告历史
     * @return 结果
     */
    public int insertBPosterHistory(BPosterHistory bPosterHistory);

    /**
     * 修改广告历史
     * 
     * @param bPosterHistory 广告历史
     * @return 结果
     */
    public int updateBPosterHistory(BPosterHistory bPosterHistory);

    /**
     * 删除广告历史
     * 
     * @param id 广告历史主键
     * @return 结果
     */
    public int deleteBPosterHistoryById(Long id);

    /**
     * 批量删除广告历史
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBPosterHistoryByIds(Long[] ids);
}
