package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BPoster;

/**
 * 广告Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public interface BPosterMapper 
{
    /**
     * 查询广告
     * 
     * @param id 广告主键
     * @return 广告
     */
    public BPoster selectBPosterById(Long id);

    /**
     * 查询广告列表
     * 
     * @param bPoster 广告
     * @return 广告集合
     */
    public List<BPoster> selectBPosterList(BPoster bPoster);

    /**
     * 新增广告
     * 
     * @param bPoster 广告
     * @return 结果
     */
    public int insertBPoster(BPoster bPoster);

    /**
     * 修改广告
     * 
     * @param bPoster 广告
     * @return 结果
     */
    public int updateBPoster(BPoster bPoster);

    /**
     * 删除广告
     * 
     * @param id 广告主键
     * @return 结果
     */
    public int deleteBPosterById(Long id);

    /**
     * 批量删除广告
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBPosterByIds(Long[] ids);
}
