package com.ruoyi.system.service;

import com.ruoyi.system.domain.BNet;

import java.util.List;

/**
 * 网络Service接口
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public interface IBNetService {
    /**
     * 查询网络
     *
     * @param id 网络主键
     * @return 网络
     */
    BNet selectBNetById(Long id);

    /**
     * 查询网络列表
     *
     * @param bNet 网络
     * @return 网络集合
     */
    List<BNet> selectBNetList(BNet bNet);

    /**
     * 新增网络
     *
     * @param bNet 网络
     * @return 结果
     */
    int insertBNet(BNet bNet);

    /**
     * 修改网络
     *
     * @param bNet 网络
     * @return 结果
     */
    int updateBNet(BNet bNet);

    /**
     * 批量删除网络
     *
     * @param ids 需要删除的网络主键集合
     * @return 结果
     */
    int deleteBNetByIds(Long[] ids);

    /**
     * 删除网络信息
     *
     * @param id 网络主键
     * @return 结果
     */
    int deleteBNetById(Long id);

    /**
     * 根据商户id删除wifi
     *
     * @param id 商户id
     */
    void deleteBNetByShangHuId(Long id);

    /**
     * 根据商户id查询wifi(提供二维码接口)
     *
     * @param id 商户id
     * @return wifi信息
     */
    BNet findById(Long id);
}
