package com.ruoyi.system.service;

import com.ruoyi.system.domain.BPoster;
import com.ruoyi.system.domain.dto.request.PosterRequest;

import java.util.List;

/**
 * 广告Service接口
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public interface IBPosterService {
    /**
     * 查询广告
     *
     * @param id 广告主键
     * @return 广告
     */
    BPoster selectBPosterById(Long id);

    /**
     * 查询广告列表
     *
     * @param bPoster 广告
     * @return 广告集合
     */
    List<BPoster> selectBPosterList(BPoster bPoster);

    /**
     * 新增广告
     *
     * @param bPoster 广告
     * @return 结果
     */
    int insertBPoster(BPoster bPoster);

    /**
     * 修改广告
     *
     * @param bPoster 广告
     * @return 结果
     */
    int updateBPoster(BPoster bPoster);

    /**
     * 批量删除广告
     *
     * @param ids 需要删除的广告主键集合
     * @return 结果
     */
    int deleteBPosterByIds(Long[] ids);

    /**
     * 删除广告信息
     *
     * @param id 广告主键
     * @return 结果
     */
    int deleteBPosterById(Long id);

    /**
     * 广告批量分配商户
     *
     * @param req 请求类
     */
    void batchAllocation(PosterRequest req);
}
