package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.BShanghu;

import java.util.List;

/**
 * 商户Service接口
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public interface IBShanghuService {
    /**
     * 查询商户
     *
     * @param id 商户主键
     * @return 商户
     */
    BShanghu selectBShanghuById(Long id);

    /**
     * 查询商户列表
     *
     * @param bShanghu 商户
     * @return 商户集合
     */
    List<BShanghu> selectBShanghuList(BShanghu bShanghu);

    /**
     * 新增商户
     *
     * @param bShanghu 商户
     * @return 结果
     */
    int insertBShanghu(BShanghu bShanghu);

    /**
     * 修改商户
     *
     * @param bShanghu 商户
     * @return 结果
     */
    int updateBShanghu(BShanghu bShanghu);

    /**
     * 批量删除商户
     *
     * @param ids 需要删除的商户主键集合
     * @return 结果
     */
    int deleteBShanghuByIds(Long[] ids);

    /**
     * 删除商户信息
     *
     * @param id 商户主键
     * @return 结果
     */
    int deleteBShanghuById(Long id);

    /**
     * 为商户批量填充广告
     *
     * @param posterId   广告id
     * @param shanghuIds 商户id集合
     */
    void editPostIdByIds(Long posterId, List<Long> shanghuIds);

    /**
     * 为商户批量填充广告
     *
     * @param posterId    广告id
     * @param shanghuCity 商户城市
     * @param shanghuName 商户名称
     */
    void editPostIdByReq(Long posterId, String shanghuCity, String shanghuName);

    /**
     * 根据广告id查询商户id集合
     *
     * @param id 广告id
     * @return 商户id集合
     */
    List<Long> findIdByPosterId(Long id);

    /**
     * 根据手机号查询商户
     * @param phoneNumber 手机号
     * @return 商户信息
     */
    BShanghu findByPhone(String phoneNumber);
}
