package com.ruoyi.system.service;


import com.ruoyi.system.domain.dto.request.WeChatCodeRequest;
import com.ruoyi.system.domain.dto.request.WeChatRequest;

import java.util.Map;

/**
 * 微信接口业务层
 *
 * @Author: wu
 * @DateTime: 2023/4/25 9:30
 */
public interface WeChatService {

    /**
     * 获取微信accessToken
     *
     * @return 微信accessToken
     */
    String findAccessToken();

    /**
     * 获取微信jsapiTicket
     *
     * @return jsapiTicket
     */
    String findJsapiTicket();

    /**
     * 获取微信签名
     *
     * @param req 请求类
     * @return 微信签名
     */
    String findSignature(WeChatRequest req);

    /**
     * 获取微信手机号
     *
     * @param code 手机号获取凭证
     * @return 手机号
     */
    Map<String, Object> getUserPhoneNumber(String code);

    /**
     * 获取微信二维码
     *
     * @param req 获取小程序码请求类
     * @return 微信二维码二进制
     */
    byte[] findWxCode(WeChatCodeRequest req);
}
