package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BNetHistoryMapper;
import com.ruoyi.system.domain.BNetHistory;
import com.ruoyi.system.service.IBNetHistoryService;

/**
 * 连网历史Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
@Service
public class BNetHistoryServiceImpl implements IBNetHistoryService 
{
    @Autowired
    private BNetHistoryMapper bNetHistoryMapper;

    /**
     * 查询连网历史
     * 
     * @param id 连网历史主键
     * @return 连网历史
     */
    @Override
    public BNetHistory selectBNetHistoryById(Long id)
    {
        return bNetHistoryMapper.selectBNetHistoryById(id);
    }

    /**
     * 查询连网历史列表
     * 
     * @param bNetHistory 连网历史
     * @return 连网历史
     */
    @Override
    public List<BNetHistory> selectBNetHistoryList(BNetHistory bNetHistory)
    {
        return bNetHistoryMapper.selectBNetHistoryList(bNetHistory);
    }

    /**
     * 新增连网历史
     * 
     * @param bNetHistory 连网历史
     * @return 结果
     */
    @Override
    public int insertBNetHistory(BNetHistory bNetHistory)
    {
        bNetHistory.setCreateTime(DateUtils.getNowDate());
        return bNetHistoryMapper.insertBNetHistory(bNetHistory);
    }

    /**
     * 修改连网历史
     * 
     * @param bNetHistory 连网历史
     * @return 结果
     */
    @Override
    public int updateBNetHistory(BNetHistory bNetHistory)
    {
        bNetHistory.setUpdateTime(DateUtils.getNowDate());
        return bNetHistoryMapper.updateBNetHistory(bNetHistory);
    }

    /**
     * 批量删除连网历史
     * 
     * @param ids 需要删除的连网历史主键
     * @return 结果
     */
    @Override
    public int deleteBNetHistoryByIds(Long[] ids)
    {
        return bNetHistoryMapper.deleteBNetHistoryByIds(ids);
    }

    /**
     * 删除连网历史信息
     * 
     * @param id 连网历史主键
     * @return 结果
     */
    @Override
    public int deleteBNetHistoryById(Long id)
    {
        return bNetHistoryMapper.deleteBNetHistoryById(id);
    }
}
