package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BPosterHistoryMapper;
import com.ruoyi.system.domain.BPosterHistory;
import com.ruoyi.system.service.IBPosterHistoryService;

/**
 * 广告历史Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
@Service
public class BPosterHistoryServiceImpl implements IBPosterHistoryService 
{
    @Autowired
    private BPosterHistoryMapper bPosterHistoryMapper;

    /**
     * 查询广告历史
     * 
     * @param id 广告历史主键
     * @return 广告历史
     */
    @Override
    public BPosterHistory selectBPosterHistoryById(Long id)
    {
        return bPosterHistoryMapper.selectBPosterHistoryById(id);
    }

    /**
     * 查询广告历史列表
     * 
     * @param bPosterHistory 广告历史
     * @return 广告历史
     */
    @Override
    public List<BPosterHistory> selectBPosterHistoryList(BPosterHistory bPosterHistory)
    {
        return bPosterHistoryMapper.selectBPosterHistoryList(bPosterHistory);
    }

    /**
     * 新增广告历史
     * 
     * @param bPosterHistory 广告历史
     * @return 结果
     */
    @Override
    public int insertBPosterHistory(BPosterHistory bPosterHistory)
    {
        bPosterHistory.setCreateTime(DateUtils.getNowDate());
        return bPosterHistoryMapper.insertBPosterHistory(bPosterHistory);
    }

    /**
     * 修改广告历史
     * 
     * @param bPosterHistory 广告历史
     * @return 结果
     */
    @Override
    public int updateBPosterHistory(BPosterHistory bPosterHistory)
    {
        bPosterHistory.setUpdateTime(DateUtils.getNowDate());
        return bPosterHistoryMapper.updateBPosterHistory(bPosterHistory);
    }

    /**
     * 批量删除广告历史
     * 
     * @param ids 需要删除的广告历史主键
     * @return 结果
     */
    @Override
    public int deleteBPosterHistoryByIds(Long[] ids)
    {
        return bPosterHistoryMapper.deleteBPosterHistoryByIds(ids);
    }

    /**
     * 删除广告历史信息
     * 
     * @param id 广告历史主键
     * @return 结果
     */
    @Override
    public int deleteBPosterHistoryById(Long id)
    {
        return bPosterHistoryMapper.deleteBPosterHistoryById(id);
    }
}
